ColorLUTTrilinear
Color Processing

Perform image color processing using 3D trilinear interpolation between members of various types of color look up tables. More...

## Functions

NppStatus | nppiLUT_Trilinear_8u_C4R (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, Npp32u *pValues, Npp8u *pLevels[3], int aLevels[3])
| Four channel 8-bit unsigned 3D trilinear interpolated look-up-table color conversion, with alpha copy. More...
NppStatus | nppiLUT_Trilinear_8u_AC4R (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, Npp32u *pValues, Npp8u *pLevels[3], int aLevels[3])
| Four channel 8-bit unsigned 3D trilinear interpolated look-up-table color conversion, not affecting alpha. More...
NppStatus | nppiLUT_Trilinear_8u_AC4IR (Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, Npp32u *pValues, Npp8u *pLevels[3], int aLevels[3])
| Four channel 8-bit unsigned 3D trilinear interpolated look-up-table in place color conversion, not affecting alpha. More...

## Detailed Description

Perform image color processing using 3D trilinear interpolation between members of various types of color look up tables.

## Function Documentation

NppStatus nppiLUT_Trilinear_8u_AC4IR | ( | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | Npp32u * | pValues,
|  | Npp8u * | pLevels[3],
|  | int | aLevels[3]
| ) |  |

Four channel 8-bit unsigned 3D trilinear interpolated look-up-table in place color conversion, not affecting alpha.

Alpha channel is the last channel and is not processed.

The LUT is derived from a set of user defined mapping points through trilinear interpolation.

Parameters

  pSrcDst | In-Place Image Pointer.
  nSrcDstStep | In-Place-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  pValues | Device pointer aLevels[2] number of contiguous 2D x,y planes of 4-byte packed RGBX values containing the user defined base OUTPUT values at that x,y, and z (R,G,B) level location. Each level must contain x * y 4-byte packed pixel values (4th byte is used for alignement only and is ignored) in row (x) order.
  pLevels | Host pointer to an array of 3 host pointers, one per cube edge, pointing to user defined INPUT level values.
  aLevels | Host pointer to an array of 3 user defined number of input/output mapping points, one per 3D cube edge. aLevels[0] represents the number of x axis levels (Red), aLevels[1] represents the number of y axis levels (Green), and aLevels[2] represets the number of z axis levels (Blue).

Returns
  Image Data Related Error Codes, ROI Related Error Codes
  - NPP_LUT_NUMBER_OF_LEVELS_ERROR if the number of levels is less than 2 or greater than 256.

NppStatus nppiLUT_Trilinear_8u_AC4R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | Npp32u * | pValues,
|  | Npp8u * | pLevels[3],
|  | int | aLevels[3]
| ) |  |

Four channel 8-bit unsigned 3D trilinear interpolated look-up-table color conversion, not affecting alpha.

Alpha channel is the last channel and is not processed.

The LUT is derived from a set of user defined mapping points through trilinear interpolation.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  pValues | Device pointer to aLevels[2] number of contiguous 2D x,y planes of 4-byte packed RGBX values containing the user defined base OUTPUT values at that x,y, and z (R,G,B) level location. Each level must contain x * y 4-byte packed pixel values (4th byte is used for alignement only and is ignored) in row (x) order.
  pLevels | Host pointer to an array of 3 host pointers, one per cube edge, pointing to user defined INPUT level values.
  aLevels | Host pointer to an array of 3 user defined number of input/output mapping points, one per 3D cube edge. aLevels[0] represents the number of x axis levels (Red), aLevels[1] represents the number of y axis levels (Green), and aLevels[2] represets the number of z axis levels (Blue).

Returns
  Image Data Related Error Codes, ROI Related Error Codes
  - NPP_LUT_NUMBER_OF_LEVELS_ERROR if the number of levels is less than 2 or greater than 256.

NppStatus nppiLUT_Trilinear_8u_C4R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | Npp32u * | pValues,
|  | Npp8u * | pLevels[3],
|  | int | aLevels[3]
| ) |  |

Four channel 8-bit unsigned 3D trilinear interpolated look-up-table color conversion, with alpha copy.

Alpha channel is the last channel and is copied to the destination unmodified.

The LUT is derived from a set of user defined mapping points through trilinear interpolation.

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  pValues | Device pointer to aLevels[2] number of contiguous 2D x,y planes of 4-byte packed RGBX values containing the user defined base OUTPUT values at that x,y, and z (R,G,B) level location. Each level must contain x * y 4-byte packed pixel values (4th byte is used for alignement only and is ignored) in row (x) order.
  pLevels | Host pointer to an array of 3 host pointers, one per cube edge, pointing to user defined INPUT level values.
  aLevels | Host pointer to an array of 3 user defined number of input/output mapping points, one per 3D cube edge. aLevels[0] represents the number of x axis levels (Red), aLevels[1] represents the number of y axis levels (Green), and aLevels[2] represets the number of z axis levels (Blue).

Returns
  Image Data Related Error Codes, ROI Related Error Codes
  - NPP_LUT_NUMBER_OF_LEVELS_ERROR if the number of levels is less than 2 or greater than 256.

Copyright © 2009-2017 NVIDIA Corporation